Program  Wait;
{$NOMAIN}

{
  Version
  File:[22,310]WAIT.PAS
  Author: Jim Bostwick  20-Oct-83

  Last Edit: 23-JUN-1988 22:42:10 

  History:
	 23-JUN-1988 22:00:13  - JMB PA3UTL upgrade.

}
{$NOLIST}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE PAS$EXT:General.typ;
%INCLUDE 'PAS$EXT:MRKT.EXT';
%INCLUDE 'PAS$EXT:STSE.EXT';
{$LIST}


{---------------- Stop task for specified time ---------------------------}

procedure wait(efn:event_flag;
                   Count: Integer;
                   Units: Time_Unit
  		);External;

{*USER*
 Procedure Wait issues a MRKT directive, followed by a STOP for efn.
The result is to stop the calling task for the specified duration.
The STOP is not issued if the MRKT directive fails. Works with
all event flags.
 Directive status is available in $DSW on return.
 Companion procedure WAITW issues a Wait for efn, rather than a
STOP for efn. 
}


procedure wait;


BEGIN
  MRKT(efn,count,units);
  if $dsw > 0 then stse(efn)
end;

